#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kde-dev-utils
Summary:	Kde dev utils
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	695f4a08a657c7690ccfb5aee7f9bba8
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf6-ki18n-devel >= %{kframever}
BuildRequires:	kf6-kio-devel >= %{kframever}
BuildRequires:	kf6-kparts-devel >= %{kframever}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Small utilities for developers using KDE/Qt libs/frameworks.

%description -l pl.UTF-8
Małe programy użytkowe dla programistów używających bibliotek KDE/Qt.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kpartloader
%attr(755,root,root) %{_bindir}/kuiviewer
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/parts/kuiviewerpart.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/quithumbnail.so
%{_desktopdir}/org.kde.kuiviewer.desktop
%{_iconsdir}/hicolor/128x128/apps/kuiviewer.png
%{_iconsdir}/hicolor/16x16/apps/kuiviewer.png
%{_iconsdir}/hicolor/32x32/apps/kuiviewer.png
%{_iconsdir}/hicolor/48x48/apps/kuiviewer.png
%{_iconsdir}/hicolor/64x64/apps/kuiviewer.png
%{_iconsdir}/hicolor/scalable/apps/kuiviewer.svg
%{_datadir}/metainfo/org.kde.kuiviewer.metainfo.xml
%{_datadir}/metainfo/org.kde.kuiviewerpart.metainfo.xml
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kde-dev-utils.git;a=log;h=master

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> fa1be99
- update_desktop_database

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b5e7c33
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5cc9a8b
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 687da4f
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 888865d
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c56d76e
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2c67ee8
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1fb6178
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4ecd8d8
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> aa03977
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9e952f5
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 40a186e
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3172085
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d9b7ce4
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 44545cf
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 258338e
- updated to 24.02.0

